
local screenWidth, screenHeight = love.graphics.getDimensions()
local Button    = require("Button")
local Container = require("Container")
local buttonManager = Container()


function love.load()
  buttonManager:add(Button("Destroy me!", screenWidth/2-48, 200, function(button) button:destroy() end))
  buttonManager:add(Button("Me, too!", screenWidth/2-48, 300, function(button) button:destroy() end))
  buttonManager:add(Button("Quit", screenWidth/2-48, 400, function(button) love.event.quit() end))
end


function love.update(dt)
  buttonManager:update(dt)
end


function love.draw()
  buttonManager:draw()
  love.graphics.print("Escape (or button 'Quit') to Quit")
end


function love.keypressed(key)
  if key == "escape" then love.event.quit() end
end


function love.mousepressed(...)
  buttonManager:mousepressed(...)
end
